[Bioperl-l] Splitting Bioperl and Test related Suggestions

David Messina dmessina at wustl.edu
Thu Jul 5 12:44:28 EDT 2007

> [Chris]
> The 1.5 releases I believe break some aspects of 1.4 API

Yes, this is true.

I question, though, whether it's relevant given that virtually no one  
uses 1.4 anymore. In any case, I would venture that the number of  
people who would be bitten by the 1.4->1.5 API change is much smaller  
than the number of people who download 1.4 and then ask us why it  
doesn't work.

I think that, rather than continuing to call 1.5.x the developer  
release in order to adhere to the API guarantee, it would be much  
clearer to users if we state clearly that everyone should download  
1.5.x, and that if you're upgrading from 1.4 to 1.5 there are API  

>> [me]
>> we could put the 'download tarball' link directly on the  
>> 'Getting_BioPerl' wiki page
> [Chris]
> Sounds reasonable enough.  Do you want to do the honors?



More information about the Bioperl-l mailing list